fr.cnam.ihm

## Class RessourcesCanvas

- java.lang.Object
- - fr.cnam.ihm.RessourcesCanvas

-     public class RessourcesCanvas
      extends java.lang.Object

  Classe de définition d'une ressources graphiques

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RessourcesCanvas()` Création d'une ressource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackground()` Couleur de background de la ressource.
    `java.awt.Color` | `getForeground()` Couleur de foreground de la ressource.
    `int` | `getLine()` Epaisseur de la ligne
    `void` | `setBackground(java.awt.Color c)` Mise à jour du background
    `void` | `setForeground(java.awt.Color c)` Mise à jour du foreground
    `void` | `setLine(int epaisseur)` Mise de l'épaisseur de la ligne

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RessourcesCanvas

          public RessourcesCanvas()

      Création d'une ressource. Par défaut : background=blanc foreground=noir ligne=1

  - ### Method Detail

    - #### setBackground

          public void setBackground(java.awt.Color c)

      Mise à jour du background
      Parameters:
        `c` - couleur

    - #### setForeground

          public void setForeground(java.awt.Color c)

      Mise à jour du foreground
      Parameters:
        `c` - couleur

    - #### setLine

          public void setLine(int epaisseur)

      Mise de l'épaisseur de la ligne
      Parameters:
        `epaisseur` - épaisseur de la ligne

    - #### getBackground

          public java.awt.Color getBackground()

      Couleur de background de la ressource.
      Returns:
        couleur

    - #### getForeground

          public java.awt.Color getForeground()

      Couleur de foreground de la ressource.
      Returns:
        couleur

    - #### getLine

          public int getLine()

      Epaisseur de la ligne
      Returns:
        epaisseur